# Configuring the Client

***ClientConfig***

Description: these are the options that can be specified in a [ChainvineClient](broken://pages/zHKakDgr7H1dOgGuFSfj) and [ChainvineUser](broken://pages/rxKTvA2EtbZW9K8cF0On) instance.

```typescript
import { ChainvineClient, ClientConfig } from '@chainvine/sdk/lib';

const config: ClientConfig = {
   apiKey: 'S3CR37C0D3Z',
   testMode: true,
   logToConsole: true,
}

const client = new ChainvineClient(config);
```

<table><thead><tr><th width="152">Parameter</th><th width="105">Type</th><th width="236">Description</th><th>Default</th></tr></thead><tbody><tr><td>apiKey</td><td>string</td><td>Your <a href="/pages/0x5XIQah2fsanV03d519">ChainVine API Key</a>.<br><br>DO NOT expose this in the browser, only supply this if you are consuming the SDK on the server.</td><td>N/A<br><br>Note: If omitted, you must <a href="/pages/DoashqnqNhf5Ru3jwC6G">allowlist the domain</a> you are sending requests from.</td></tr><tr><td>testMode</td><td>boolean</td><td>Setting this to true will send all traffic to ChainVine's staging environment - this should only be used for POCing and testing</td><td>false</td></tr><tr><td>logToConsole</td><td>boolean</td><td>When set to true, this will log responses and errors to console - this is useful for testing and debugging but should be set to false in production</td><td>false</td></tr><tr><td></td><td></td><td></td><td></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chainvine.xyz/developers/sdk/configuring-the-client.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
